Fresh Install of Garuda Dragonized and can't update with -Syyu on either Pacman or Yay

error: nvidia-utils: signature from "Sven-Hendrik Haase <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/nvidia-utils-465.31-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted pack
age (PGP signature)).
Do you want to delete it? [Y/n] n
error: mesa: signature from "Laurent Carlier <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/mesa-21.1.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP
signature)).
Do you want to delete it? [Y/n] n
error: firedragon: signature from "Pedro Henrique Lara Campos <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/firedragon-88.0.1-4-x86_64.pkg.tar.zst is corrupted (invalid or corrupted packag
e (PGP signature)).
Do you want to delete it? [Y/n] n
error: gcc: signature from "Giancarlo Razzolini (grazzolini) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/gcc-11.1.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP
signature)).
Do you want to delete it? [Y/n] n
error: lib32-gcc-libs: signature from "Giancarlo Razzolini (grazzolini) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/lib32-gcc-libs-11.1.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted pa
ckage (PGP signature)).
Do you want to delete it? [Y/n] n
error: linux-firmware: signature from "Laurent Carlier <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/linux-firmware-20210511.7685cf4-1-any.pkg.tar.zst is corrupted (invalid or corru
pted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: linux-zen: signature from "Jan Alexander Steffens (heftig) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/linux-zen-5.12.5.zen1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted pa
ckage (PGP signature)).
Do you want to delete it? [Y/n] n
error: nvidia-dkms: signature from "Sven-Hendrik Haase <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/nvidia-dkms-465.31-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted packa
ge (PGP signature)).
Do you want to delete it? [Y/n] n
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Did you see

3 Likes

Please press "Y" upon updating and try again. These are all Arch repo packages so there is no way these are broken, most likely a download issue :eyes:

3 Likes

I'll try it and get back to you on that.

It failed, still got an error.

failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

If you include terminal outputs in your post please use the proper output format in your post. Using "~" 3 times above and "~" 3 times below the text block will provide a readable, raw look.
Please :slight_smile:

2 Likes

Yeah, that happens because the packages which were going to be installed are removed by pressing "y". Thats why you run the command again to download them again which usually fixes the signature error :slight_smile:

2 Likes

I'm trying the solution Naman posted real quick and going to -Syyu after it completes. I'll send the error if there is one.

Or confirm with Enter. :wink:

3 Likes

Well, don't confuse happenings here :slight_smile: Its completes because the corrupted because has been removed & redownloaded correctly, -Syyu just forces Pacman (the package manager) to refresh databases. :slight_smile:

Very true! :smiley:

3 Likes
error: could not extract /usr/lib/libxatracker.so.2.5.0 (Zstd decompression failed: Restored data doesn't matc
h checksum)
error: problem occurred while upgrading mesa
error: could not commit transaction
error: failed to commit transaction (transaction aborted)
Errors occurred, no packages were upgraded.

What if you try just reinstalling the keyrings and then updating, without populating:

sudo pacman -S archlinux-keyring chaotic-keyring
sudo pacman -Syu
1 Like